<?php

use Illuminate\Support\Facades\Artisan;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');


    //telegram bot settings
    Route::get('/telegram',[App\Http\Controllers\TelegramController::class,'index']);
    Route::get('/telegram/getUpdates',[App\Http\Controllers\TelegramController::class,'getUpdates']);
    Route::get('/telegram/setWebhook',[App\Http\Controllers\TelegramController::class,'setWebhook']);
    Route::get('/telegram/deleteWebhook',[App\Http\Controllers\TelegramController::class,'deleteWebhook']);
    Route::get('/telegram/getWebhookInfo',[App\Http\Controllers\TelegramController::class,'getWebhookInfo']);
    Route::get('/telegram/getUserProfile',[App\Http\Controllers\TelegramController::class,'getUserProfile']);

Route::get('/clear-cache', function() {
    $exitCode = Artisan::call('cache:clear');
    // return what you want
});

Route::get('/tesst' , [\App\Http\Controllers\Controller::class , 'index']);



